Travis CI 升級 default Linux 到 Ubuntu 14.04

2017-07-13 Travis CI

話說我用了 Travis CI 這段時間以來,一直很納悶為何 default 是用 Ubuntu 12.04,如果你要用 14.04 還要特別加設定,現在都已經 18.04 了哇勒 …

 

然後在最近 Travis CI 發了一篇「Trusty as default Linux is coming」終於把 default Linux 改成 Ubuntu 14.04 (奇怪為何還是這麼低版本 !?),內文有提到 EOL of Ubuntu Precise 原來是因為 Precise 要 EoL 了,所以 Travis CI 才甘願升級 …

 

雖然說在 Travis CI 要實現其他 OS 用 docker 跑就好了(用 docker 無所不能啊 ..) 但 default 這種東西我覺得還是跟著 LTS 跑會比較好 …

 

畢竟現在才支援 14.04,阿不就過一陣子又要 EoL 了 …

 

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *

彙整

分類

open all | close all

License

訂閱 Mr. 沙先生 的文章

輸入你的 email 用於訂閱